/***********************************************************************
 * This file is part of pivot.
 *
 * pivot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * pivot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with pivot.  If not, see <http://www.gnu.org/licenses/>
 * 
 * 
 * Copyright (C) 2013, Dominik Rueß; info@dominik-ruess.de
 **********************************************************************/

#ifndef DIALOGABOUTPIVOT_H
#define DIALOGABOUTPIVOT_H

#include <QDialog>

namespace Ui {
class DialogAboutPivot;
}

class DialogAboutPivot : public QDialog
{
    Q_OBJECT
    
public:
    explicit DialogAboutPivot(QWidget *parent = 0);
    ~DialogAboutPivot();

    void setVersion(const int, const int, const int);

    QString getDonateText() const;
    
private slots:
    void on_pushButton_done_clicked();

private:
    Ui::DialogAboutPivot *ui;
};

#endif // DIALOGABOUTPIVOT_H
